:root {
    --gold-primary: #c5a059;
    --dark-green: #0b4a3f;
    --font-heading: 'Poppins', sans-serif;
    /* overflow: hidden; */
}

.rooms-suites-section {
    background-color: #fdfaf5;
}
.rooms-suites-section .row {
    --bs-gutter-x: 6.5rem;

    --bs-gutter-y: 6.5rem; 
}
/* Heading Style */
.culinary-title {
    font-family:'Poppins', sans-serif;
    color: var(--dark-green);
    font-size: 2.5rem;
    font-weight: 800;
}

.sub-heading-elegant {
    letter-spacing: 5px;
    font-size: 1.5rem;
    color: #999;
    text-transform: uppercase;
    margin-bottom: 10px;
    display: block;
}

.text-muted.italic {
    font-style: italic;
    font-size: 16px;
    max-width: 700px;
    margin: 20px auto;
}

/* Room Card */
.room-suite-card {
    background: white;
    border-radius: 20px;
    box-shadow: 0 15px 40px rgba(0, 0, 0, 0.08);
    transition: box-shadow 0.4s ease;
    overflow: hidden; 
    height: 100%;
    width:100%;
    max-width: none;
    margin-bottom: 10px;
}

.room-suite-card:hover {
    box-shadow: 0 20px 50px rgba(11, 74, 63, 0.15);
}

.room-image-frame {
    height: 600px; 
    width: 100%;
}

.room-image-frame img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.8s ease; 
}


.room-suite-card:hover .room-image-frame img {
    transform: scale(1.1); 
}

.room-title-frame {
    padding: 30px 15px;
}

.room-title-frame h4 {
    font-family: var(--font-heading);
    color: var(--dark-green);
    font-size: 1.2rem;
    font-weight: 600;
    margin: 0;
}